[Overview][Resource strings][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'daemonapp' (#fcl)

# TDaemon.BeforeInstall

Called before the daemon will be installed

## Declaration

Source position: daemonapp.pp line 109

`published property TDaemon.BeforeInstall : TDaemonEvent read FBeforeInstall write FBeforeInstall;`

## Description

BeforeInstall is called before the daemon is installed. It can be done to specify extra dependencies, or change the daemon description etc.

## See also

AfterInstall |  | Called after the daemon was installed
BeforeUnInstall |  | Called before the daemon is uninstalled
AfterUnInstall |  | Called after the daemon is uninstalled

Documentation generated on: Feb 26 2014